(function($) {
	
	$(document).ready(() => {
		if ($('.gform_wrapper .gsection').length) {
			$('.gform_wrapper .gsection').each(function () {
				$(this).parents('.gform_wrapper').addClass('gfsplit');
				$(this).nextAll('li.gfield').wrapAll('<div class="gfsection"></div>');
				$(this).parent().find('> li.gfield').wrapAll('<div class="gfsection"></div>');
				$(this).detach();
			});
		}
		if ($('.provider-form-alt').length) {
			positionForm();
			$(window).resize(positionForm);
		}
	});

	function positionForm () {
		let form = $('.provider-form-alt');
		let parent = $(form).parent();
		let offset = $(parent)[0].getBoundingClientRect();

		console.log(offset);

		if ($(window).width() <= 1200) {
			$(form).removeClass('fixed').css('left', '').css('top', '').css('width', '');
		} else {
			$(form).addClass('fixed').css('left', offset.left +'px').css('top', $('body > header').outerHeight() + 40 +'px').css('width', $(parent).outerWidth() +'px');
		}
	}

})(jQuery);